# Class MinilinksLink<Ref>

#### Type Parameters

- #### Ref extends Id

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:84

#####
Index

### Constructors

constructor

### Properties

_applies
from_id?
id
ml?
number?
object?
string?
to_id?
type_id
value?

### Accessors

from
in
inByType
out
outByType
to
type
typed

### Methods

is
toPlain

## Constructors

### constructor

- new MinilinksLink<Ref>(link): MinilinksLink<Ref>

- #### Type Parameters

  - #### Ref extends Id

  #### Parameters

  - ##### link: any

  #### Returns MinilinksLink<Ref>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:131

## Properties

### _applies

_applies: string[] = []

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:130

### `Optional` from_id

from_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:88

### id

id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:86

### `Optional` ml

ml?: MinilinkCollection<any, any>

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:85

### `Optional` number

number?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:128

### `Optional` object

object?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:129

### `Optional` string

string?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:127

### `Optional` to_id

to_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:89

### type_id

type_id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:87

### `Optional` value

value?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:126

## Accessors

### from

- get from(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:120

### in

- get in(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:96

### inByType

- get inByType(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:99

### out

- get out(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:108

### outByType

- get outByType(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:111

### to

- get to(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:123

### type

- get type(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:93

### typed

- get typed(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:90

## Methods

### is

- is(query): boolean

- #### Parameters

  - ##### query: QueryLink

  #### Returns boolean

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:148

### toPlain

- toPlain(): LinkPlain<Ref>

- #### Returns LinkPlain<Ref>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.ts:139

Generated using TypeDoc